curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=GLB" \
-F "services=glb_identity_enrichment" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "email=john.doe@example.com" \
-F "phone=+15550101000" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "country_of_residence=US"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="GLB",
services=["glb_identity_enrichment"],
consent=True,
first_name="John",
last_name="Doe",
phone="+15550101000",
email="john.doe@example.com",
country_of_residence="US",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "GLB",
Services: didit.Some([]string{"glb_identity_enrichment"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
Phone: didit.String("+15550101000"),
Email: didit.String("john.doe@example.com"),
CountryOfResidence: didit.String("US"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("GLB")
.services(List.of("glb_identity_enrichment"))
.consent(true)
.firstName("John")
.lastName("Doe")
.phone("+15550101000")
.email("john.doe@example.com")
.countryOfResidence("US")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'GLB',
'services' => ['glb_identity_enrichment'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'phone' => '+15550101000',
'email' => 'john.doe@example.com',
'country_of_residence' => 'US',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "GLB",
Services = new string[] { "glb_identity_enrichment" },
Consent = true,
FirstName = "John",
LastName = "Doe",
Phone = "+15550101000",
Email = "john.doe@example.com",
CountryOfResidence = "US",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "GLB",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Doe",
"persons_found": 1
},
"validation": {
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Dow",
"persons_found": 1
},
"validation": {
"full_name": "partial_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "Jane",
"last_name": "Roe",
"persons_found": 1
},
"validation": {
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "INCONCLUSIVE",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 1
},
"validation": {}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 0
},
"validation": {}
}
]
}
🌐 全球
全球身份信息增强核验 API | Didit 数据库核验
Didit 全球身份增强:通过 Didit 身份基础设施查询全球身份网络。按次计费,起价 $0.20,无需签约,无最低消费。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=GLB" \
-F "services=glb_identity_enrichment" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "email=john.doe@example.com" \
-F "phone=+15550101000" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "country_of_residence=US"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="GLB",
services=["glb_identity_enrichment"],
consent=True,
first_name="John",
last_name="Doe",
phone="+15550101000",
email="john.doe@example.com",
country_of_residence="US",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "GLB",
Services: didit.Some([]string{"glb_identity_enrichment"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
Phone: didit.String("+15550101000"),
Email: didit.String("john.doe@example.com"),
CountryOfResidence: didit.String("US"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("GLB")
.services(List.of("glb_identity_enrichment"))
.consent(true)
.firstName("John")
.lastName("Doe")
.phone("+15550101000")
.email("john.doe@example.com")
.countryOfResidence("US")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'GLB',
'services' => ['glb_identity_enrichment'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'phone' => '+15550101000',
'email' => 'john.doe@example.com',
'country_of_residence' => 'US',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "GLB",
Services = new string[] { "glb_identity_enrichment" },
Consent = true,
FirstName = "John",
LastName = "Doe",
Phone = "+15550101000",
Email = "john.doe@example.com",
CountryOfResidence = "US",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "GLB",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Doe",
"persons_found": 1
},
"validation": {
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Dow",
"persons_found": 1
},
"validation": {
"full_name": "partial_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "Jane",
"last_name": "Roe",
"persons_found": 1
},
"validation": {
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "INCONCLUSIVE",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 1
},
"validation": {}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 0
},
"validation": {}
}
]
}
通过全球风险洞察网络,根据电子邮件和/或电话号码解析个人信息(姓名、出生日期、地址、电话号码、电子邮件和国民身份号码)以及姓名匹配分数。按请求计费。Didit 通过
POST /v3/database-validation/ 提供此服务,以便您将提交的数据与所连接的身份网络进行筛查,并获得标准化的匹配结果。这是第三方信息补充网络,而不是权威的政府登记库,请勿将其结果呈现为一手来源的核验结果。
覆盖范围
- 覆盖范围: 50+ 个市场
- 国家/地区: 全球
- 服务 ID:
glb_identity_enrichment - 数据领域: 身份
- 类别: IdentityEnrichment
输入
| 字段 | 必填 | 示例 |
|---|---|---|
email | 否 | john.doe@example.com |
phone | 否 | +15550101000 |
first_name | 否 | John |
last_name | 否 | Doe |
full_name | 否 | John Doe |
country_of_residence | 否 | US |
vendor_data | 否 | user-1234 |
- 必填输入: —
- 可选输入:
email、phone、first_name、last_name、full_name、country_of_residence、vendor_data - 同意: 必需
- 工作流可用性: 仅限独立 API
- 覆盖范围: 50+ 个市场
- 价格: 每次成功查询 $0.20
请求体参数
string
默认值:"GLB"
必填
此数据库服务的 ISO 3166-1 alpha-3 国家/地区代码。示例:
GLBstring
默认值:"glb_identity_enrichment"
必填
包含此服务 ID 的数组。固定服务可使请求仅限于此特定数据库。示例:
glb_identity_enrichmentboolean
默认值:"true"
必填
终端用户对此服务的明确同意。示例:
truestring
默认值:"john.doe@example.com"
电子邮件地址。示例:
john.doe@example.comstring
默认值:"+15550101000"
国际格式的电话号码。示例:
+15550101000string
默认值:"John"
需要核验的名字。示例:
Johnstring
默认值:"Doe"
需要核验的姓氏。示例:
Doestring
需要核验的完整法定姓名。示例:
John Doestring
默认值:"US"
可选的 ISO 3166-1 alpha-2 居住国家/地区代码。仅用于缩小身份查询范围。示例:
USstring
默认值:"user-1234"
您为该用户提供的稳定用户标识,例如您内部的用户 ID。Didit 使用它将独立检查关联到同一终端用户,并减少重复检测的干扰。示例:
user-1234输入规则与验证说明
- 至少提供
email或phone之一,它们是查询的关键字段。两者都未提供的请求无法执行信息补充查询,会在查询数据源之前被拒绝(不收费)。 - 只要有姓名,就请添加:数据源会根据姓名为查询评分。请发送
first_name和last_name,它们是响应中validation映射所比对的字段。仅发送full_name的请求仍会由数据源评分,但返回的validation为空,且顶层match_type为 null。 country_of_residence是用于缩小查询范围的 ISO 3166-1 alpha-2 国家/地区代码。- 每次完成的查询都会计费,包括未解析出任何人员的查询(
persons_found: 0)。只有在查询前被拒绝的请求(既未提供email也未提供phone)才免费。
调用方式
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=GLB" \
-F "services=glb_identity_enrichment" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "email=john.doe@example.com" \
-F "phone=+15550101000" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "country_of_residence=US"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="GLB",
services=["glb_identity_enrichment"],
consent=True,
first_name="John",
last_name="Doe",
phone="+15550101000",
email="john.doe@example.com",
country_of_residence="US",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "GLB",
Services: didit.Some([]string{"glb_identity_enrichment"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
Phone: didit.String("+15550101000"),
Email: didit.String("john.doe@example.com"),
CountryOfResidence: didit.String("US"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("GLB")
.services(List.of("glb_identity_enrichment"))
.consent(true)
.firstName("John")
.lastName("Doe")
.phone("+15550101000")
.email("john.doe@example.com")
.countryOfResidence("US")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'GLB',
'services' => ['glb_identity_enrichment'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'phone' => '+15550101000',
'email' => 'john.doe@example.com',
'country_of_residence' => 'US',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "GLB",
services: ["glb_identity_enrichment"],
consent: true,
first_name: "John",
last_name: "Doe",
phone: "+15550101000",
email: "john.doe@example.com",
country_of_residence: "US",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "GLB",
Services = new string[] { "glb_identity_enrichment" },
Consent = true,
FirstName = "John",
LastName = "Doe",
Phone = "+15550101000",
Email = "john.doe@example.com",
CountryOfResidence = "US",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
每次成功调用都会返回 HTTP 200。outcome_code 字段会告诉您实际发生了什么,例如可以区分真正的生物识别不匹配(BIOMETRIC_NO_MATCH)与无法读取的自拍照(BIOMETRIC_IMAGE_UNUSABLE)。显示的 status 为默认功能状态,您配置的部分匹配 / 不匹配操作可以覆盖该状态。MATCH:邮箱或电话对应到了某个人,且最佳匹配记录上的姓名与您发送的姓名一致。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "GLB",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Doe",
"persons_found": 1
},
"validation": {
"full_name": "full_match"
}
}
]
}
PARTIAL_MATCH:邮箱或电话对应到了某个人,但最佳匹配记录上的姓名只与您发送的姓名部分一致。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "John",
"last_name": "Dow",
"persons_found": 1
},
"validation": {
"full_name": "partial_match"
}
}
]
}
NO_MATCH:邮箱或电话对应到了某个人,但最佳匹配记录上的姓名与您发送的姓名不一致。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"first_name": "Jane",
"last_name": "Roe",
"persons_found": 1
},
"validation": {
"full_name": "no_match"
}
}
]
}
INCONCLUSIVE:邮箱或电话对应到了某个人,但没有返回姓名分数,例如请求中未包含姓名。系统不做任何断言,因此 validation 为空,match_type 为 null,该检查会转入人工审核。请发送 first_name + last_name 以获得评分结果:validation 的比对读取的正是这两个字段。只包含 full_name 的请求会得到带评分的 outcome_code,但 validation 仍为空。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "INCONCLUSIVE",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 1
},
"validation": {}
}
]
}
DOCUMENT_NOT_FOUND:邮箱或电话未对应到任何人(persons_found: 0)。没有可供比对的姓名,因此 validation 为空,match_type 为 null。该结果是明确的否定结果,并按照您的不匹配操作处理。此次查询仍会计费。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "GLB",
"match_type": null,
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "glb_identity_enrichment",
"service_name": "Global - Identity Enrichment",
"source_data": {
"persons_found": 0
},
"validation": {}
}
]
}
返回数据
source_data 中实际返回的字段取决于注册库返回的内容。glb_identity_enrichment 的自动生成示例目前记录了以下标准化结构:
first_namelast_namepersons_found
定价与 SLA
全球 - 身份信息增强查询仅在 Didit 从验证数据源收到明确结果时计费。- 单次调用价格: $0.20 USD。
- 计费方式: 按每次成功查询计费。注册库无法访问、必填字段缺失,或请求在到达数据源前即被拒绝时,不收取费用。
- 延迟: 典型 p95 延迟小于 2 秒。
- 可用性: Didit 侧每季度 99.9%;下游数据源的可用性因国家和数据集而异。
继续阅读
最后修改于 2026年11月7日